Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class UserGateRuleManager

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.UserGateRuleManager

public class UserGateRuleManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserGateRuleManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteUserGateRule(int id)`
  `List<String>`
  `getGateContracts(int gid)`
  Возращает номера договоров, которые добавлены на данный шлюз
  `UserGateRule`
  `getUserGateRule(int id)`
  `UserGateRule`
  `getUserGateRule(int gid, int cid)`
  `List<UserGateRule>`
  `getUserGateRules(int cid)`
  `List<UserGateRule>`
  `getUserGateRulesForGate(int gid)`
  `void`
  `updateUserGateRule(String id, UserGateRule ugr)`
  Обновление типа правила . от имени пользователя - сервер
  `void`
  `updateUserGateRule(String id, UserGateRule ugr, int userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserGateRuleManager

    public UserGateRuleManager(Connection con, int mid)

- ## Method Details

  - ### getUserGateRules

    public List<UserGateRule> getUserGateRules(int cid) throws SQLException
    Throws:
      `SQLException`

  - ### getUserGateRulesForGate

    public List<UserGateRule> getUserGateRulesForGate(int gid)

  - ### getUserGateRule

    public UserGateRule getUserGateRule(int gid, int cid)

  - ### getUserGateRule

    public UserGateRule getUserGateRule(int id)

  - ### updateUserGateRule

    public void updateUserGateRule(String id, UserGateRule ugr)
    Обновление типа правила . от имени пользователя - сервер
    Parameters:
      `id` -
      `ugr` -

  - ### updateUserGateRule

    public void updateUserGateRule(String id, UserGateRule ugr, int userId)
    Parameters:
      `id` -
      `ugr` -
      `userId` - - иммя пользователя, от имени которого просиходит смена правила

  - ### deleteUserGateRule

    public void deleteUserGateRule(int id)

  - ### getGateContracts

    public List<String> getGateContracts(int gid)
    Возращает номера договоров, которые добавлены на данный шлюз
    Parameters:
      `gid` -
    Returns: